V3 Manage External Users

Use this API to add, update or delete an external user.

Usage Notes

  • The caller must have persona access to update or delete an external user.
  • When a user is deleted through this API, the user gets deleted from Encompass. The user will no longer appear in the UI and will be removed from the database as well.
  • When deleting an external user, there is no validation for loan or contact reassignment. Any loans or contacts assigned to the user must be reassigned manually.

📘

action=add

If the external user is created using this API, currently, the welcome email is not automatically triggered from Encompass. To trigger the email notifications, the administrator can do so from the Encompass admin settings user interface.

Query Params
string

Unique Identifier of the external organization/ TPO Company that you want the list of users for.

string
required

Action to perform. Possible values are:
- add - Adds an external user.
- update - Updates an external user.
- delete - Deletes the specified external user.

string

Optional. View type parameter. Possible value is entity.
- When view=entity is passed, the response body will include the externalUser data contract.
- When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
string

Unique identifier of the external user.

boolean

Indicates whether the company address will be used for the user address.

string

External user’s first name.

string

External user’s middle name.

string

External user’s lastname.

string

Suffix for the external user.

string

External user’s professional title.

string

External user’s address.

string

External user’s city.

string

External user’s state.

string

External user’s zipcode.

string

External user’s phone number.

string

External user’s cell phone number.

string

Fax number for the external user.

string

Email address for the external user.

string

The external user’s NMLS ID.

boolean

Indicates whether the external user’s NMLS is current.

string

Social Security Number of the external user.

boolean

Indicates whether the parent information is used for rate lock.

string

Email address to which the system will send the Rate Sheet.

string

Fax number to which the system will send the Rate Sheet.

string

Email address to which the system will send the Lock information.

string

Fax number to which the system will send the Lock information.

boolean

Indicates whether login is disabled for the user on TPO WebCenter websites.

string

Email address the user will use to log in to the TPO WebCenter websites.

string

The date on which the password was last changed. The format is yyyy-MM-ddTHH:mm:ssZ.

string

Content of the Welcome Email sent the user.

string

Date on which the Welcome Email was sent. The format is yyyy-MM-ddTHH:mm:ssZ.

string

The TPO WebCenter site that the user will use to submit loans to your company.

string

The TPO user’s approval condition with your company.

boolean

Indicates whether the TPO user is added to the Watchlist so that loans submitted by the user can be monitored.

string

The date of approval. The format is yyyy-MM-dd.

string

The date the user was approved by your company. The format is yyyy-MM-dd.

salesRep
object

Sales rep assigned to the user.

personas
array of objects

Personas to which the user belongs.

personas
roles
array of objects

Roles to which the user belongs.

roles
groups
array of objects

Groups to which the user belongs.

groups
string

Access level to peer loans. Access level to peer loans. Possible values are: Disabled, ReadOnly, ReadWrite.

string

Access mode. Possible values are: ReadWrite, ReadOnly.

licenses
array of objects

Array of objects detailing the external user state license information.

licenses
roleTypes
array of strings

Role types assigned to the contact that define the user’s access rights to the TPO WebCenter site.

roleTypes
string

Additional information about the user.

boolean

Indicates whether the user is required to change the password after initial log in.

designatedRoleRefs
array of objects

This represents the Encompass-defined fixed roles (designated roles) which are used to determine certain behaviors within the loan process. The following are the possible roles for the given user:

  • LoanOfficer
  • LoanProcessor
  • LoanCloser
  • Underwriter
  • PrimarySalesRep
  • TPOLoanOfficer
  • TPOLoanProcessor
  • TPOCorrespondent
designatedRoleRefs
string

NOTE: This attribute was deprecated in release 25.3. Use designatedRoleRefs instead.

string

The date and time the user logged in last. The format is yyyy-MM-ddTHH:mm:ssZ.
Retrieve only

organization
object

TPO organization to which the user belongs.

company
object

Represents the external org (TPO) parent company to which the external user belongs.

branch
object

Represents the branch under the parent company to which the external user belongs.

string

The date and time the user information was created.The format is yyyy-MM-ddTHH:mm:ssZ. Retrieve only.

createdBy
object

The user who created the TPO user’s information.

string

The date and time the user information was updated. The format is yyyy-MM-ddTHH:mm:ssZ. Retrieve only.

updatedBy
object

The user who last updated the TPO user’s information.

Headers
string
required

Bearer token.

Responses

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

Language
URL
Response
Choose an example:
application/json